Subject: Re: linux-next: manual merge of the scsi-mkp tree with Linus' tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 11 Sep 2020 14:47:02 +1000

Hi all,

On Wed, 2 Sep 2020 15:12:35 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the scsi-mkp tree got a conflict in:
> 
>   drivers/scsi/aacraid/aachba.c
> 
> between commit:
> 
>   df561f6688fe ("treewide: Use fallthrough pseudo-keyword")
> 
> from Linus' tree and commit:
> 
>   cfd3d2225aa5 ("scsi: aacraid: Remove erroneous fallthrough annotation")
> 
> from the scsi-mkp tree.
> 
> I fixed it up (I removed the line removed by the latter - it was rewritten
> by the former to "fallthrough;") and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

This is now a conflict between the scsi tree and Linus' tree.

-- 
Cheers,
Stephen Rothwell